Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.xObjects
Class ImageXObject

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfStream>
          org.pdfclown.documents.contents.xObjects.XObject
              org.pdfclown.documents.contents.xObjects.ImageXObject

All Implemented Interfaces:
  Cloneable, ILayerable, IPdfObjectWrapper

    @PDF(value=PDF10)
    public final class ImageXObject

extends XObject

Image external object [PDF:1.6:4.8.4].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`ImageXObject(Document context, PdfStream baseDataObject)`

Method Summary
`ImageXObject` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`int` | `getBitsPerComponent()` Gets the number of bits per color component.
`String` | `getColorSpace()` Gets the color space in which samples are specified.
`AffineTransform` | `getMatrix()` Gets the mapping from external-object space to user space.
`Dimension2D` | `getSize()` Gets the size of the image (in samples).
`void` | `setMatrix(AffineTransform value)`
`void` | `setSize(Dimension2D value)`
`static ImageXObject` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.documents.contents.xObjects.XObject
`getLayer, setLayer`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageXObject

    public ImageXObject(Document context,
                        PdfStream baseDataObject)

Method Detail

### wrap

    public static ImageXObject wrap(PdfDirectObject baseObject)

### clone

    public ImageXObject clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfStream>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getBitsPerComponent

    public int getBitsPerComponent()

  Gets the number of bits per color component.

### getColorSpace

    public String getColorSpace()

  Gets the color space in which samples are specified.

### getMatrix

    public AffineTransform getMatrix()

  Description copied from class: `XObject`
  Gets the mapping from external-object space to user space.

  Specified by:
    `getMatrix` in class `XObject`

### getSize

    public Dimension2D getSize()

  Gets the size of the image (in samples).

  Specified by:
    `getSize` in class `XObject`

### setMatrix

    public void setMatrix(AffineTransform value)

  Specified by:
    `setMatrix` in class `XObject`
  See Also:
    `XObject.getMatrix()`

### setSize

    public void setSize(Dimension2D value)

  Specified by:
    `setSize` in class `XObject`
  See Also:
    `XObject.getSize()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.